Restore campaign state
curl --request POST \
--url https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/restore-state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"state": {
"version": "campaign_v1",
"epoch": 0,
"round": 0,
"board_width": 123,
"board_height": 123,
"board_shape": "<string>",
"cells": {},
"prompts": {},
"prompt_history": {},
"color_prefs": {},
"perks": {},
"seeded": [
"<string>"
],
"frames": [
{}
],
"events": [
{}
],
"last_round_at": "<string>",
"pending_round": {}
}
}
'import requests
url = "https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/restore-state"
payload = { "state": {
"version": "campaign_v1",
"epoch": 0,
"round": 0,
"board_width": 123,
"board_height": 123,
"board_shape": "<string>",
"cells": {},
"prompts": {},
"prompt_history": {},
"color_prefs": {},
"perks": {},
"seeded": ["<string>"],
"frames": [{}],
"events": [{}],
"last_round_at": "<string>",
"pending_round": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
state: {
version: 'campaign_v1',
epoch: 0,
round: 0,
board_width: 123,
board_height: 123,
board_shape: '<string>',
cells: {},
prompts: {},
prompt_history: {},
color_prefs: {},
perks: {},
seeded: ['<string>'],
frames: [{}],
events: [{}],
last_round_at: '<string>',
pending_round: {}
}
})
};
fetch('https://softmax.com/api/observatory/v2/leagues/{league_id}/campaign/restore-state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Leagues
Restore campaign state
Validate and install a complete saved campaign state document.
POST
/
v2
/
leagues
/
{league_id}
/
campaign
/
restore-state
Restore campaign state
Authorizations
Bearer token issued by Softmax
Path Parameters
League whose campaign state should be restored.
Pattern:
^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Body
application/json
Response
Successful Response
The response is of type Response Restore Campaign State V2 Leagues League Id Campaign Restore State Post · object.